<?php
// RouteHandler.php
// Created: 2024-03-28
// Updated: 2024-03-28

namespace Index\Http\Routing;

/**
 * Provides an abstract class version of IRouteHandler that already includes the trait as well,
 *  letting you only have to use one use statement rather than two!
 */
abstract class RouteHandler implements IRouteHandler {
    use RouteHandlerTrait;
}
