<?php
// IRouteHandler.php
// Created: 2023-09-06
// Updated: 2023-09-07

namespace Index\Routing;

/**
 * Provides the interface for IRouter::register().
 */
interface IRouteHandler {
    /**
     * Registers routes on a given IRouter instance.
     *
     * @param IRouter $router Target router.
     */
    public function registerRoutes(IRouter $router): void;
}
